spatialite_xml_print(1)

NAME
spatialite_xml_print - export a single XML file corresponding to the current DB-file content

SYNOPSIS
\FCspatialite_xml_print\F[]
[\FC-h\F[]] [\FC-d\F[] pathname] [\FC-x\F[] pathname] [\FC-cs\F[] num] [\FC-m\F[]]

DESCRIPTION
spatialite_xml_print is intended to export a single XML file corresponding to the current DB-file content.

It's useful i.e. when you've some way modified the original contents by performing some SQL operation.

OPTIONS

\FC-h\F[], \FC--help\F[]
    show help message

\FC-d\F[] pathname, \FC--db-path\F[] pathname
    the SpatiaLite DB [INPUT] path

\FC-x\F[] pathname, \FC--xml-path\F[] pathname
    the XML file [OUTPUT] path

\FC-cs\F[] num, \FC--cache-size\F[] num
    DB cache size (how many pages)

\FC-m\F[], \FC--in-memory\F[]
    using IN-MEMORY database